//
//  ViewController.swift
//  HelloWorld
//
//  Created by Code Pirate on 14.08.20.
//  Copyright © 2020 Code Pirate. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var messageLabel: UILabel!
    @IBOutlet weak var inputTextField: UITextField!
    @IBOutlet weak var actionButton: UIButton!
    @IBOutlet weak var imageView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        messageLabel.text = "Test"
        messageLabel.textColor = UIColor.red
    }
    
    @IBAction func buttonPressed(sender: UIButton) {
        let text = inputTextField.text
        messageLabel.text = text
        if text == "star" {
            imageView.image = UIImage(named: "star")
        } else if text == "bear" {
            imageView.image = UIImage(named: "bear")
        } else {
            imageView.image = nil
        }
    }
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        let viewController2 = segue.destination as? ViewController2
        if inputTextField.text == nil {
            viewController2?.text = "No Text"
        } else {
            viewController2?.text = inputTextField.text!
        }
    }

}

